Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class Jsf2FlowFacesContext

    java.lang.Object
      javax.faces.context.FacesContext
          org.springframework.faces.webflow.FlowFacesContext
              org.springframework.faces.webflow.Jsf2FlowFacesContext

    public class Jsf2FlowFacesContext

extends FlowFacesContext

Extends FlowFacesContext in order to provide JSF 2 delegation method.

Author:
  Rossen Stoyanchev

Nested Class Summary
`protected class` | `Jsf2FlowFacesContext.Jsf2FlowExternalContext`

Nested classes/interfaces inherited from class org.springframework.faces.webflow.FlowFacesContext
`FlowFacesContext.FlowExternalContext`

Constructor Summary
`Jsf2FlowFacesContext(RequestContext context, javax.faces.context.FacesContext delegate)`

Method Summary
`java.util.Map<java.lang.Object,java.lang.Object>` | `getAttributes()`
`javax.faces.event.PhaseId` | `getCurrentPhaseId()`
`javax.faces.context.ExceptionHandler` | `getExceptionHandler()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`java.util.List<javax.faces.application.FacesMessage>` | `getMessageList()` Returns a List for all Messages in the current MessageContext that does translation to FacesMessages.
`java.util.List<javax.faces.application.FacesMessage>` | `getMessageList(java.lang.String clientId)` Returns a List for all Messages with the given clientId in the current MessageContext that does translation to FacesMessages.
`javax.faces.context.PartialViewContext` | `getPartialViewContext()`
`boolean` | `isPostback()`
`boolean` | `isProcessingEvents()`
`boolean` | `isProjectStage(javax.faces.application.ProjectStage stage)`
`boolean` | `isReleased()`
`boolean` | `isValidationFailed()`
`void` | `setCurrentPhaseId(javax.faces.event.PhaseId currentPhaseId)`
`void` | `setExceptionHandler(javax.faces.context.ExceptionHandler exceptionHandler)`
`void` | `setProcessingEvents(boolean processingEvents)`
`void` | `validationFailed()`

Methods inherited from class org.springframework.faces.webflow.FlowFacesContext
`addMessage, getApplication, getClientIdsWithMessages, getDelegate, getELContext, getMaximumSeverity, getMessageDelegate, getMessages, getMessages, getRenderKit, getRenderResponse, getResponseComplete, getResponseStream, getResponseWriter, getViewRoot, newInstance, release, renderResponse, responseComplete, setResponseStream, setResponseWriter, setViewRoot`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, getNamingContainerSeparatorChar, getResourceLibraryContracts, setCurrentInstance, setResourceLibraryContracts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsf2FlowFacesContext

    public Jsf2FlowFacesContext(RequestContext context,
                                javax.faces.context.FacesContext delegate)

Method Detail

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  Overrides:
    `getExternalContext` in class `FlowFacesContext`

### getAttributes

    public java.util.Map<java.lang.Object,java.lang.Object> getAttributes()

  Overrides:
    `getAttributes` in class `javax.faces.context.FacesContext`

### getPartialViewContext

    public javax.faces.context.PartialViewContext getPartialViewContext()

  Overrides:
    `getPartialViewContext` in class `javax.faces.context.FacesContext`

### getMessageList

    public java.util.List<javax.faces.application.FacesMessage> getMessageList()

  Returns a List for all Messages in the current MessageContext that does translation to FacesMessages.

  Overrides:
    `getMessageList` in class `javax.faces.context.FacesContext`

### getMessageList

    public java.util.List<javax.faces.application.FacesMessage> getMessageList(java.lang.String clientId)

  Returns a List for all Messages with the given clientId in the current MessageContext that does translation to FacesMessages.

  Overrides:
    `getMessageList` in class `javax.faces.context.FacesContext`

### isPostback

    public boolean isPostback()

  Overrides:
    `isPostback` in class `javax.faces.context.FacesContext`

### getCurrentPhaseId

    public javax.faces.event.PhaseId getCurrentPhaseId()

  Overrides:
    `getCurrentPhaseId` in class `javax.faces.context.FacesContext`

### setCurrentPhaseId

    public void setCurrentPhaseId(javax.faces.event.PhaseId currentPhaseId)

  Overrides:
    `setCurrentPhaseId` in class `javax.faces.context.FacesContext`

### getExceptionHandler

    public javax.faces.context.ExceptionHandler getExceptionHandler()

  Overrides:
    `getExceptionHandler` in class `javax.faces.context.FacesContext`

### isProcessingEvents

    public boolean isProcessingEvents()

  Overrides:
    `isProcessingEvents` in class `javax.faces.context.FacesContext`

### isProjectStage

    public boolean isProjectStage(javax.faces.application.ProjectStage stage)

  Overrides:
    `isProjectStage` in class `javax.faces.context.FacesContext`

### isValidationFailed

    public boolean isValidationFailed()

  Overrides:
    `isValidationFailed` in class `javax.faces.context.FacesContext`

### setExceptionHandler

    public void setExceptionHandler(javax.faces.context.ExceptionHandler exceptionHandler)

  Overrides:
    `setExceptionHandler` in class `javax.faces.context.FacesContext`

### setProcessingEvents

    public void setProcessingEvents(boolean processingEvents)

  Overrides:
    `setProcessingEvents` in class `javax.faces.context.FacesContext`

### validationFailed

    public void validationFailed()

  Overrides:
    `validationFailed` in class `javax.faces.context.FacesContext`

### isReleased

    public boolean isReleased()

  Overrides:
    `isReleased` in class `javax.faces.context.FacesContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD